Bug 156411 - rescue shell has wrong terminal settings
rescue shell has wrong terminal settings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-04-29 17:07 EDT by Bill Nottingham
Modified: 2014-03-16 22:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 02:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-04-29 17:07:42 EDT
The shell, chrooted into /mnt/sysimage, has the wrong terminal settings - what
you type isn't echoed.
Comment 1 Jeremy Katz 2005-04-29 17:47:08 EDT
Hrmm, what does stty show?  We're not changing anything from the defaults...
Comment 2 Bill Nottingham 2005-05-03 14:39:38 EDT
stty sez:
speed 38400 baud;
flush = ^U;
ignbrk -brkint -imaxbel
-echo

tty2 is:
speed 38400 baud;
flush = ^U;
-brkint -imaxbel

Comment 3 Bill Nottingham 2005-05-03 18:20:00 EDT
Fix committed, needs testing.
Comment 4 Rahul Sundaram 2005-08-15 12:51:35 EDT
Does this one still need testing?

Note You need to log in before you can comment on or make changes to this bug.